Subject: Re: [PATCH net-next] l2tp: remove ->recv_payload_hook

From: Guillaume Nault <[email-masked]>
Date: Wed, 25 Jul 2018 15:00:03 +0200

On Wed, Jul 25, 2018 at 02:53:33PM +0200, Guillaume Nault wrote:
> The tunnel reception hook is only used by l2tp_ppp for skipping PPP
> framing bytes. This is a session specific operation, but once a PPP
> session sets ->recv_payload_hook on its tunnel, all frames received by
> the tunnel will enter pppol2tp_recv_payload_hook(), including those
> targeted at Ethernet sessions (an L2TPv3 tunnel can multiplex PPP and
> Ethernet sessions).
> 
I forgot to mention that this patch is targeted at net-next because, in
practice, the PPP payload hook is unlikely to corrupt valid Ethernet
frames (the destination MAC address would have to beging with ff:03).